Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 239863 - app-admin/sdsc-syslog-1.0.2 fails to build (PATH_MAX undeclared; glibc 2.8)
Summary: app-admin/sdsc-syslog-1.0.2 fails to build (PATH_MAX undeclared; glibc 2.8)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo TreeCleaner Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.8
  Show dependency tree
 
Reported: 2008-10-05 10:19 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-03-21 22:18 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (app-admin:sdsc-syslog-1.0.2:20081004-221035.log,11.59 KB, text/plain)
2008-10-05 10:19 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-10-05 10:19:06 UTC
Portage 2.2_rc8 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.8_p20080602-r0, 2.6.26-gentoo-r1 i686)
=================================================================
System uname: Linux-2.6.26-gentoo-r1-i686-Quad-Core_AMD_Opteron-tm-_Processor_2350-with-glibc2.0
Timestamp of tree: Sat, 04 Oct 2008 08:34:01 +0000
app-shells/bash:     3.2_p39
dev-lang/python:     2.4.4-r6, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.62-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-pipe"
DISTDIR="/usr/portage-distfiles"
FEATURES="distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
INSTALL_MASK=" 	/usr/share/doc 	/usr/share/man 	/usr/share/info"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j8"
PKGDIR="/usr/portage-packages"
PORTAGE_COMPRESS=""
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups dri fortran gdbm gpm iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-10-05 10:19:34 UTC
Created attachment 167270 [details]
Build log
Comment 2 Sam Iam 2008-11-23 21:28:47 UTC
After some searching, found that this was created by not including <limits.h>. Apparently, configure script fails to properly detect the availability of limits.h and doesn't set the 'HAVE_LIMITS_H' flag. When I tried 'CFLAGS="-DHAVE_LIMITS_H" ./configure' in the workdir, everything compiles fine. Don't know how to fix this properly within the ebuild though.

Sam
Comment 3 Sam Iam 2008-11-26 19:54:50 UTC
After checking some more, I found that the configure.ac does include a check for limits.h, but it fails to detect on x86 ( /usr/include/limits.h does exist). How ever, it detects properli on amd64. Here are the config.log snippets from the two arches.

------amd64-arch---
configure:3849: checking for limits.h
configure:3859: gcc -E  -I$(top_srcdir)/src conftest.c
configure:3865: $? = 0
configure:3884: result: yes
-------------------

------x86-arch---
configure:3849: checking for limits.h
configure:3859:   -I$(top_srcdir)/src conftest.c
./configure: line 3860: -I$(top_srcdir)/src: No such file or directory
configure:3865: $? = 127
configure: failed program was:
#line 3855 "configure"
#include "confdefs.h"
#include <limits.h>
configure:3884: result: no
--------------

If you look closely, you'll see that in 'configure:3859:' line, the actual gcc command is missing for the x86 arch where as it has the correct command in amd64.

I'm at the limit of my knowledge of autotools and I don't think I can help solve this any further. I'll be happy to try any tricks that anyone else can suggest.

Sam
Comment 4 Daniel Black (RETIRED) gentoo-dev 2009-01-04 08:07:56 UTC
given the last release was in 2003-11-28 i'm tempted to purge this.

Sam  - thanks for trying. Your fix in comment #2 is probably enough for a dated package.
Comment 5 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-01-12 18:29:41 UTC
Let's add that this package collides with other syslog providers as it is (with l-h 2.6.28 it seems to compile without patching), so I'd suggest to just treeclean it if it's not useful for something.
Comment 6 SpanKY gentoo-dev 2009-01-14 04:40:21 UTC
if it does stay, you'll need this fix:
--- a/src/util/acl.c
+++ b/src/util/acl.c
@@ -332,7 +332,7 @@ ACL_getBufferSize(ACL *acl)
     return len;
 }

-bool
+size_t
 ACL_toBuffer(ACL *acl, struct IPC_buffer *out)
 {
     ACL_data    *data;
Comment 7 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-29 05:19:50 UTC
(In reply to comment #4)
> given the last release was in 2003-11-28 i'm tempted to purge this.
> 
> Sam  - thanks for trying. Your fix in comment #2 is probably enough for a dated
> package.
> 

Let's do it. Assign to treecleaner@g.o if you want us to take care of it.
Comment 8 Daniel Black (RETIRED) gentoo-dev 2009-01-30 21:17:36 UTC
(In reply to comment #7)
> Let's do it. Assign to treecleaner@g.o if you want us to take care of it.
sure - thanks. 

Comment 9 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-04 05:12:45 UTC
# Jeremy Olexa <darkside@gentoo.org> (04 Feb 2009)
# Masked for removal in 30 days. Dead upstream, unmaintained. Needs multiple
# fixes to even work. collides with other sysloggers bug 239863
app-admin/sdsc-syslog
Comment 10 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-21 22:18:41 UTC
removed, WONTFIX